<?php

use App\Http\Controllers\V3\Harim\DivarkeshiController;
use App\Http\Controllers\V3\ProfileController;
use Illuminate\Support\Facades\Route;

Route::prefix('harim')->name('harim')->group(function () {
    Route::prefix('divarkeshi')->name('divarkeshi')->controller(DivarkeshiController::class)->group(function () {
        Route::get('/', 'index')->name('index');
        Route::get('/{divarkeshi}', 'details')->name('details');
        Route::post('/store', 'store')->name('store');
        // Route::get('/report/map', 'V3\Dashboard\ContractController@getAllDataToMap')->name('V3.contract.report.map');
        // Route::get('/{contract}', 'V3\Dashboard\ContractController@detail')->name('V3.contract.detail');
    });
    Route::prefix('rah_dastresi')->name('rah_dastresi')->group(function () {
        // Route::get('/store', 'V3\Dashboard\ContractController@unserialize')->name('store');
        // Route::get('/report/map', 'V3\Dashboard\ContractController@getAllDataToMap')->name('V3.contract.report.map');
        // Route::get('/{contract}', 'V3\Dashboard\ContractController@detail')->name('V3.contract.detail');
    });
    Route::prefix('tasisat_zirbana')->group(function () {
        // Route::get('/{contract}/unserialize', 'V3\Dashboard\ContractController@unserialize')->name('V3.contract.unserialize');
        // Route::get('/report/map', 'V3\Dashboard\ContractController@getAllDataToMap')->name('V3.contract.report.map');
        // Route::get('/{contract}', 'V3\Dashboard\ContractController@detail')->name('V3.contract.detail');
    });
});

Route::prefix('profile')
    ->name('profile.')
    ->controller(ProfileController::class)
    ->group(function () {
        Route::get('info', 'info')->name('info');
        Route::post('edit', 'edit')->name('edit');
        Route::post('change_password', 'changePassword')->name('changePassword');
    });
